/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../file/asset.h"
#include "../model/pokertable.h"

/**
 * Initializes the scene renderer.
 */
void holdemRenderSceneInit();

/**
 * Renders the scene for the holdem game (including table, chairs, etc.)
 */
void holdemRenderScene();