/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "log.h"

list_t *logBuffer;

void logInit() {
  logBuffer = listCreate();
}

void logText(char *string) {
  // Clone the string
  int32_t len = strlen(string);
  char *newString = malloc(sizeof(char) * (len+1));
  memcpy(newString, string, len+1);
  listAdd(logBuffer, newString);
  printf("%s\n", newString);
}