/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../util/list.h"

/** Primary Log Buffer. */
extern list_t *logBuffer;

/**
 * Writes a string to the log buffer.
 * 
 * @param string String to log.
 */
void logText(char *string);