/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"

/** Which is the first character within the font tilemap */
#define FONT_CHAR_START 33

/** Center a font along the X axis */
#define FONT_CENTER_X 9876543
/** Center a font along the Y axis */
#define FONT_CENTER_Y -FONT_CENTER_X

/** Align right edge of font to origin */
#define FONT_RIGHT_X (FONT_CENTER_X-1)

typedef struct {
  float width, height;
  int32_t lines;
} fontmeasure_t;