// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "../libs.h"

/**
 * Contains information about the current render state, can be used for querying
 * how the renderer is currently set up.
 */
typedef struct {
  /** Resolution (in pixels) */
  int32_t width, height;
} render_t;

/** Current render state */
extern render_t RENDER_STATE;