/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "deal.h"

holdemaction_t actionDeal() {
  return (holdemaction_t){
    .init = &actionDealInit,
    .update = &actionDealUpdate,
    .dispose = &actionDealDispose
  };
}

void actionDealInit(int32_t index, void *data) {
  uint8_t i, j;
  holdemplayer_t *player;
  logText("Dealing Cards");
  
  for(i = 0; i < 2; i++) {
    for(j = 0; j < HOLDEM_PLAYER_COUNT; j++) {
      player = HOLDEM_GAME_STATE.players + j;
      cardDeal(HOLDEM_GAME_STATE.deck,
        player->cards,
        HOLDEM_GAME_STATE.deckSize,
        player->cardCount
      );
      HOLDEM_GAME_STATE.deckSize--;
      player->cardCount++;
    }
  }

  holdemActionRemove(index);
}

void actionDealUpdate(int32_t i, void *data) {

}

void actionDealDispose(int32_t i, void *data) {
  int32_t newI = holdemActionAdd(actionAi());
}